Bug 169423 - x11-toolkits/gtkdatabox: Update to version 0.9.1.3
x11-toolkits/gtkdatabox: Update to version 0.9.1.3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Armin Pirkovitsch
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 19:10 UTC by tkato432
Modified: 2012-07-19 18:50 UTC (History)
0 users

See Also:


Attachments
file.diff (7.61 KB, patch)
2012-06-25 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-06-25 19:10:14 UTC
- Update to version 0.9.1.3

New file:
files/patch-gtkdatabox.c
files/patch-gtkdatabox_ruler.c
Comment 1 Edwin Groothuis freebsd_committer 2012-06-25 19:12:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Armin Pirkovitsch freebsd_committer 2012-07-17 08:59:51 UTC
Responsible Changed
From-To: miwi->sperber

miwi asked me to take it.
Comment 3 dfilter freebsd_committer 2012-07-19 18:44:06 UTC
Author: sperber
Date: Thu Jul 19 17:43:22 2012
New Revision: 301180
URL: http://svn.freebsd.org/changeset/ports/301180

Log:
  - Update to version 0.9.1.3
  - Swtich to optionsng
  - Add LICENSE
  - Update WWW: line
  - Unbreak
  - Chase shlib bump
  
  PR:           ports/169423
  Submitted by: KATO Tsuguru <tkato432 _at_ yahoo.com>
  Approved by:  beat (mentor)

Added:
  head/x11-toolkits/gtkdatabox/files/
  head/x11-toolkits/gtkdatabox/files/patch-gtkdatabox.c   (contents, props changed)
  head/x11-toolkits/gtkdatabox/files/patch-gtkdatabox_ruler.c   (contents, props changed)
Modified:
  head/games/klavaro/Makefile   (contents, props changed)
  head/x11-toolkits/gtkdatabox/Makefile   (contents, props changed)
  head/x11-toolkits/gtkdatabox/distinfo   (contents, props changed)
  head/x11-toolkits/gtkdatabox/pkg-descr   (contents, props changed)
  head/x11-toolkits/gtkdatabox/pkg-plist   (contents, props changed)

Modified: head/games/klavaro/Makefile
==============================================================================
--- head/games/klavaro/Makefile	Thu Jul 19 17:42:21 2012	(r301179)
+++ head/games/klavaro/Makefile	Thu Jul 19 17:43:22 2012	(r301180)
@@ -7,7 +7,7 @@
 
 PORTNAME=	klavaro
 PORTVERSION=	1.9.3
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	games
 MASTER_SITES=	SF/${PORTNAME}/
 
@@ -17,7 +17,7 @@ COMMENT=	Touchtyping trainer
 LICENSE=	GPLv3
 
 LIB_DEPENDS=	curl.6:${PORTSDIR}/ftp/curl \
-		gtkdatabox-0.9.0.1:${PORTSDIR}/x11-toolkits/gtkdatabox
+		gtkdatabox-0.9.1.3:${PORTSDIR}/x11-toolkits/gtkdatabox
 
 USE_GMAKE=	yes
 USE_BZIP2=	yes

Modified: head/x11-toolkits/gtkdatabox/Makefile
==============================================================================
--- head/x11-toolkits/gtkdatabox/Makefile	Thu Jul 19 17:42:21 2012	(r301179)
+++ head/x11-toolkits/gtkdatabox/Makefile	Thu Jul 19 17:43:22 2012	(r301180)
@@ -7,32 +7,28 @@
 #
 
 PORTNAME=	gtkdatabox
-PORTVERSION=	0.9.0.1
-PORTREVISION=	5
+PORTVERSION=	0.9.1.3
 CATEGORIES=	x11-toolkits
-MASTER_SITES=	SF http://www.eudoxos.de/gtk/gtkdatabox/download/
+MASTER_SITES=	SF
 DIST_SUBDIR=	gnome2
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A GTK+2 widget to display large amounts of numerical data
 
-USE_LDCONFIG=	yes
-USE_GNOME=	gnomehack gtk20
-USE_AUTOTOOLS=	libtool
-CONFIGURE_ARGS+=	--includedir="${PREFIX}/include/${PORTNAME}" \
-			--with-html-dir="${PREFIX}/share/doc"
+LICENSE=	LGPL21
 
-BROKEN=		does not package - does not install documentation
-
-OPTIONS_DEFINE= GLADE GLADEUI DOCS EXAMPLES
+OPTIONS_DEFINE=	GLADE GLADEUI DOCS EXAMPLES
 GLADE_DESC=	Enable libglade2 support
 GLADEUI_DESC=	Enable glade3 support
 
-.include <bsd.port.pre.mk>
+USE_GNOME=	gnomehack gtk20
+USE_AUTOTOOLS=	libtool
+CONFIGURE_ARGS=	--includedir="${PREFIX}/include/${PORTNAME}" \
+		--with-html-dir="${PREFIX}/share/doc"
+USE_LDCONFIG=	yes
+MAKE_JOBS_SAFE=	yes
 
-.if ${PORT_OPTIONS:MDOCS}
-USE_GNOME+=	referencehack
-.endif
+.include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MGLADE}
 USE_GNOME+=	libglade2
@@ -44,7 +40,7 @@ PLIST_SUB+=	GLADE="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MGLADEUI}
-LIB_DEPENDS+=	gladeui-1.10:${PORTSDIR}/devel/glade3
+LIB_DEPENDS+=	gladeui-1:${PORTSDIR}/devel/glade3
 CONFIGURE_ARGS+=	--enable-glade
 PLIST_SUB+=	GLADEUI=""
 .else
@@ -53,17 +49,22 @@ PLIST_SUB+=	GLADEUI="@comment "
 .endif
 
 post-patch:
-	@${FIND} ${WRKSRC} -name "Makefile.in" | ${XARGS} ${REINPLACE_CMD} -e \
-		's|@libglade_moduledir@|@prefix@/lib/libglade/2.0|g ; \
-		 s|@glade_moduledir@|@prefix@/lib/glade3/modules|g ; \
-		 s|@glade_catalogdir@|@prefix@/share/glade3/catalogs|g'
-	@${REINPLACE_CMD} -e 's|-DGTK_DISABLE_DEPRECATED||g' \
-		${WRKSRC}/gtk/Makefile.in ${WRKSRC}/examples/Makefile.in
+	@${REINPLACE_CMD} -e \
+		'/^SUBDIR/s|examples||' ${WRKSRC}/Makefile.in
+.for dir in examples gtk
+	@${REINPLACE_CMD} -e \
+		'/-O2/d ; \
+		 /DISABLE_DEPRECATED/d' ${WRKSRC}/${dir}/Makefile.in
+.endfor
 
 post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/docs/reference/html/*.* ${DOCSDIR}
+.endif
 .if ${PORT_OPTIONS:MEXAMPLES}
-	${MKDIR} ${EXAMPLESDIR}
+	@${MKDIR} ${EXAMPLESDIR}
 	${INSTALL_DATA} ${WRKSRC}/examples/*.c ${EXAMPLESDIR}
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/x11-toolkits/gtkdatabox/distinfo
==============================================================================
--- head/x11-toolkits/gtkdatabox/distinfo	Thu Jul 19 17:42:21 2012	(r301179)
+++ head/x11-toolkits/gtkdatabox/distinfo	Thu Jul 19 17:43:22 2012	(r301180)
@@ -1,2 +1,2 @@
-SHA256 (gnome2/gtkdatabox-0.9.0.1.tar.gz) = ad700dc324d38489952e0d04fbd0fafc97c87cda7eeff677f85dd4ffc5dcca2c
-SIZE (gnome2/gtkdatabox-0.9.0.1.tar.gz) = 471904
+SHA256 (gnome2/gtkdatabox-0.9.1.3.tar.gz) = 90ff9fc20ea1541dfe75ae04ff98e02c3aa7ad1735d8f0e3b3352910a3f7427c
+SIZE (gnome2/gtkdatabox-0.9.1.3.tar.gz) = 453125

Added: head/x11-toolkits/gtkdatabox/files/patch-gtkdatabox.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-toolkits/gtkdatabox/files/patch-gtkdatabox.c	Thu Jul 19 17:43:22 2012	(r301180)
@@ -0,0 +1,14 @@
+--- gtk/gtkdatabox.c.orig	2011-07-16 04:24:33.000000000 +0900
++++ gtk/gtkdatabox.c	2012-06-02 13:32:51.000000000 +0900
+@@ -26,6 +26,11 @@
+ #include <gtk/gtkgc.h>
+ #include <math.h>
+ 
++#include <sys/param.h>
++#if __FreeBSD_version <= 704100 || (__FreeBSD_version >= 800000 && __FreeBSD_version < 802502) || (__FreeBSD_version >= 900000 && __FreeBSD_version < 900027)
++#define log2(x) (log(x) / log(2))
++#endif
++
+ 
+ static gint gtk_databox_button_press (GtkWidget * widget,
+ 				      GdkEventButton * event);

Added: head/x11-toolkits/gtkdatabox/files/patch-gtkdatabox_ruler.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-toolkits/gtkdatabox/files/patch-gtkdatabox_ruler.c	Thu Jul 19 17:43:22 2012	(r301180)
@@ -0,0 +1,14 @@
+--- gtk/gtkdatabox_ruler.c.orig	2011-07-16 04:25:04.000000000 +0900
++++ gtk/gtkdatabox_ruler.c	2012-06-02 13:36:15.000000000 +0900
+@@ -32,6 +32,11 @@
+ #include <math.h>
+ #include <glib/gprintf.h>
+ 
++#include <sys/param.h>
++#if __FreeBSD_version <= 704100 || (__FreeBSD_version >= 800000 && __FreeBSD_version < 802502) || (__FreeBSD_version >= 900000 && __FreeBSD_version < 900027)
++#define log2(x) (log(x) / log(2))
++#endif
++
+ #define RULER_SIZE          14
+ 
+ #define ROUND(x) ((int) ((x) + 0.5))

Modified: head/x11-toolkits/gtkdatabox/pkg-descr
==============================================================================
--- head/x11-toolkits/gtkdatabox/pkg-descr	Thu Jul 19 17:42:21 2012	(r301179)
+++ head/x11-toolkits/gtkdatabox/pkg-descr	Thu Jul 19 17:43:22 2012	(r301180)
@@ -3,4 +3,4 @@ sets will have different colors, you may
 The widget gives the possibility to zoom into and out of the data and to 
 scroll around. It also offers a grid like on an oscilloscope.
 
-WWW: http://www.eudoxos.de/gtk/gtkdatabox/
+WWW: http://sourceforge.net/projects/gtkdatabox/

Modified: head/x11-toolkits/gtkdatabox/pkg-plist
==============================================================================
--- head/x11-toolkits/gtkdatabox/pkg-plist	Thu Jul 19 17:42:21 2012	(r301179)
+++ head/x11-toolkits/gtkdatabox/pkg-plist	Thu Jul 19 17:43:22 2012	(r301180)
@@ -17,27 +17,26 @@ include/gtkdatabox/gtkdatabox_xyc_graph.
 %%GLADE%%lib/libglade/2.0/libdatabox.a
 %%GLADE%%lib/libglade/2.0/libdatabox.la
 %%GLADE%%lib/libglade/2.0/libdatabox.so
-lib/libgtkdatabox-0.9.0.so
-lib/libgtkdatabox-0.9.0.so.1
+lib/libgtkdatabox-0.9.1.so
+lib/libgtkdatabox-0.9.1.so.3
 lib/libgtkdatabox.a
 lib/libgtkdatabox.la
 lib/libgtkdatabox.so
 libdata/pkgconfig/gtkdatabox.pc
-%%GLADEUI%%share/glade3/catalogs/gtkdatabox.xml
-%%PORTDOCS%%%%DOCSDIR%%/GtkDatabox.html
-%%PORTDOCS%%%%DOCSDIR%%/GtkDataboxBars.html
-%%PORTDOCS%%%%DOCSDIR%%/GtkDataboxCrossSimple.html
-%%PORTDOCS%%%%DOCSDIR%%/GtkDataboxGraph.html
-%%PORTDOCS%%%%DOCSDIR%%/GtkDataboxGrid.html
-%%PORTDOCS%%%%DOCSDIR%%/GtkDataboxLines.html
-%%PORTDOCS%%%%DOCSDIR%%/GtkDataboxMarkers.html
-%%PORTDOCS%%%%DOCSDIR%%/GtkDataboxPoints.html
-%%PORTDOCS%%%%DOCSDIR%%/GtkDataboxRuler.html
-%%PORTDOCS%%%%DOCSDIR%%/GtkDataboxXYCGraph.html
 %%PORTDOCS%%%%DOCSDIR%%/ch01.html
+%%PORTDOCS%%%%DOCSDIR%%/gtkdatabox-gtkdatabox-bars.html
+%%PORTDOCS%%%%DOCSDIR%%/gtkdatabox-gtkdatabox-cross-simple.html
+%%PORTDOCS%%%%DOCSDIR%%/gtkdatabox-gtkdatabox-graph.html
+%%PORTDOCS%%%%DOCSDIR%%/gtkdatabox-gtkdatabox-grid.html
+%%PORTDOCS%%%%DOCSDIR%%/gtkdatabox-gtkdatabox-lines.html
+%%PORTDOCS%%%%DOCSDIR%%/gtkdatabox-gtkdatabox-markers.html
 %%PORTDOCS%%%%DOCSDIR%%/gtkdatabox-gtkdatabox-marshal.html
+%%PORTDOCS%%%%DOCSDIR%%/gtkdatabox-gtkdatabox-points.html
+%%PORTDOCS%%%%DOCSDIR%%/gtkdatabox-gtkdatabox-ruler.html
 %%PORTDOCS%%%%DOCSDIR%%/gtkdatabox-gtkdatabox-scale.html
 %%PORTDOCS%%%%DOCSDIR%%/gtkdatabox-gtkdatabox-typedefs.html
+%%PORTDOCS%%%%DOCSDIR%%/gtkdatabox-gtkdatabox-xyc-graph.html
+%%PORTDOCS%%%%DOCSDIR%%/gtkdatabox-gtkdatabox.html
 %%PORTDOCS%%%%DOCSDIR%%/gtkdatabox.devhelp
 %%PORTDOCS%%%%DOCSDIR%%/gtkdatabox.devhelp2
 %%PORTDOCS%%%%DOCSDIR%%/home.png
@@ -54,11 +53,13 @@ libdata/pkgconfig/gtkdatabox.pc
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/colors.c
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/enable_disable.c
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/grid.c
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/grid_array.c
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/keycontrol.c
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/lissajous.c
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/logarithmic.c
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/markers.c
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/signals.c
-@dirrm include/gtkdatabox
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
+%%GLADEUI%%share/glade3/catalogs/gtkdatabox.xml
 %%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrm include/gtkdatabox
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Armin Pirkovitsch freebsd_committer 2012-07-19 18:48:25 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!